summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh
diff options
context:
space:
mode:
authorFangyin Hu <fangyinx.hu@intel.com>2017-06-23 02:34:23 -0700
committerFangyin Hu <fangyinx.hu@intel.com>2017-06-23 08:00:03 -0700
commit4df46b7185b23e294c98704bd72e4cbe671ad17c (patch)
tree318b38aac411fad0893bcfd634669afe9f836329 /jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh
parent7320e227f3bf8b31aff3d648ee396f2e749ce370 (diff)
Separate the NSH SFC CI-management configuration to the CSIT.
Fix some syntax errors. Change-Id: I46be907dd24676c7fb2bfd380c1c35eb3ccec738 Signed-off-by: Fangyin Hu <fangyinx.hu@intel.com>
Diffstat (limited to 'jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh')
-rw-r--r--jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh b/jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh
new file mode 100644
index 000000000..e79020460
--- /dev/null
+++ b/jjb/csit/include-raw-csit-nsh_sfc-perf-hw.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# execute nsh_sfc bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-nsh_sfc.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf-nsh_sfc.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf-nsh_sfc.sh
+# run the script
+./bootstrap-verify-perf-nsh_sfc.sh
+
+# vim: ts=4 ts=4 sts=4 et :